---@meta

---@class FDLDTMTTreeCoreSubtreeParents : FTableRowBase
---@field ChildId FString
---@field ParentID FString
local FDLDTMTTreeCoreSubtreeParents = {}



---@class FDLDTMTTreeItem
local FDLDTMTTreeItem = {}


---@class FDLDTMTTreeItemIngameMetadata
local FDLDTMTTreeItemIngameMetadata = {}


---@class FDLDTMTTreeNodeData : FTableRowBase
---@field Role FString
---@field Depth int32
---@field idx TArray<FString>
---@field utterance TArray<FString>
---@field node_idx FString
---@field childs TArray<FString>
---@field Parent TArray<FString>
---@field large_idx FString
---@field medium_idx FString
---@field small_idx FString
---@field utterance_revisit FString
---@field corresponding_node_idxs TArray<FString>
---@field next_reaction TArray<FString>
---@field atomic_utterance TArray<FString>
---@field mask_prediction TArray<FString>
---@field bAllowRevisit boolean
---@field bDisallowRevisit boolean
---@field linked_node_idx FString
---@field bIsTalkStart boolean
---@field bIsTalkEnd boolean
---@field utterance_recap TArray<FString>
local FDLDTMTTreeNodeData = {}



---@class FDLDTMTTreeUserChoose
local FDLDTMTTreeUserChoose = {}


---@class FDLDTMTTreeUserOption
local FDLDTMTTreeUserOption = {}


---@class FDLDTMTTreeUtteranceHistory
local FDLDTMTTreeUtteranceHistory = {}


---@class UDLDTMTTree : UObject
local UDLDTMTTree = {}


---@class UDLDTMTTreeIngame : UDLDTMTTree
local UDLDTMTTreeIngame = {}


---@class UDLDTMTTreeOnboarding : UDLDTMTTree
local UDLDTMTTreeOnboarding = {}


